<template lang="pug">
	#pagina
		.encabezado
			//- NuxtLink.logo(to="/plantillas")
			.logo: img(src="https://remaxdesignperu.com/img/logo.png", width="120")

			a.volver(href="javascript:history.back()")
				ArrowBackUpIcon
				span Volver

		.operaciones: Operaciones
		.propiedades: Propiedades
		.opciones: Opciones
		.trabajo
			Visor(ref="visor")
			Control(@control:seleccion="controlSeleccion")
</template>

<router>
	{
		alias: [
			{
				path: '/editar/:id',
				props: {
					modo: "edicion"
				}
			},
			{
				path: '/crear/:id',
				props: {
					modo: "crear"
				}
			}
		]
	}
</router>

<script>
import Editor from "@/components/Editor";
import Visor from "@/components/Visor";
import Control from "@/components/Control";
import Propiedades from "@/components/Propiedades";
import Herramientas from "@/components/Herramientas";
import Operaciones from "@/components/Operaciones";

import { mapState, mapGetters, mapMutations, mapActions } from 'vuex'

export default {
	props: {
		modo: {
			type: String,
			default: "edicion"
		}
	},
	methods: {
		controlSeleccion(punto){
			// console.debug(arguments)
			this.$refs.visor.seleccionar(punto)
		},
		...mapMutations({
				cargar: "contenido/cargar",
				usuario: "editor/actualizarUsuario",
				id: "contenido/establecerId"

		}),
		...mapActions({
			cargar: "editor/cargarContenido",
			plantilla: "editor/cargarPlantilla"
		})
	},
	async mounted(){
		// console.log(this.$route.query)
		this.usuario(parseInt(this.$route.query.id))
		const id = this.$route.params.id
		if (this.modo == "crear") {
			await this.plantilla(id)

			this.id(null)
		}
		else{
			this.cargar(id)
		}


		// const datos = await this.$axios.$get("https://remaxdesignperu.com/system/patrones/abrir/" + id)
		// console.log(JSON.parse(datos.contenido))

		// this.cargar(JSON.parse(datos.contenido))
	}
}
</script>

<style lang="stylus" scoped>
#pagina
	width 100vw
	height 100vh
	position relative
	display grid
	grid-template-areas "encabezado encabezado encabezado" \
		"herramientas operaciones propiedades" \
		"herramientas trabajo propiedades" \
		"herramientas opciones propiedades" \
		"pie pie pie"
	grid-template-columns auto 1fr auto
	grid-template-rows auto auto 1fr auto auto
	align-items stretch
	align-content stretch

	.encabezado
		grid-area encabezado
		background-color #014492
		display flex
		align-items stretch

	.logo
		background-color white
		padding .5rem 1rem
		display block

		img
			display block

	.volver
		margin 0 0 0 auto
		padding .5rem 1rem
		align-self flex-end
		display flex
		color silver
		&:hover
			background-color alpha(white, 25%)


	.trabajo
		grid-area trabajo
		position relative
		background-color gray
		height 100%
		overflow auto
		display grid
		grid-template-areas "area"
		// padding 20px


	#visor
	#control
		grid-area area
		// position absolute
		// top 0
		// left 0
		// right 0
		// bottom 0
		margin auto
		position relative
		// border 100px solid transparent

	>.contenedor
		grid-area contenedor
		position relative
		background-color gray
		height 100%
		overflow auto

	header
		grid-area enccabezado

	.herramientas
		grid-area herramientas

	.propiedades
		grid-area propiedades
		background-color #333
		overflow auto

	.operaciones
		grid-area operaciones

	.opciones
		grid-area opciones

</style>
